Bug 522321 - tomcat5 and pop3 java mail do not work
Summary: tomcat5 and pop3 java mail do not work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcat5
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 05:02 UTC by Joe Acosta
Modified: 2010-06-28 14:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:34:14 UTC


Attachments (Terms of Use)

Description Joe Acosta 2009-09-10 05:02:59 UTC
Description of problem: I tried creating a java mail based pop3 server.  It does not work under tomcat5.  It works outside of tomcat5 when run through a junit test but not in tomcat5.  Also the mail.jar from java.sun.com is needed for it to work outside of tomcat5 even though though the package for java mail is installed.


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. install ant-javamail-1.7.1-9.2.fc11.i586 package
2. install tomcat5 and java
3. create a java servlet to connect to a pop3 server
4. get error.  
5. get mail.jar from java.sun.com
  
Actual results:

without suns mail.jar

javax.servlet.ServletException: Unexpected response: ;
  nested exception is: 
	java.net.ProtocolException: Unexpected response: 
	org.apache.struts.action.RequestProcessor.processException(RequestProcessor.java:523)
	org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:421)
	org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:224)
	org.apache.struts.action.ActionServlet.process(ActionServlet.java:1194)
	org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:647)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
	org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1063)
	org.apache.struts.tiles.TilesRequestProcessor.doForward(TilesRequestProcessor.java:263)
	org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:386)
	org.apache.struts.tiles.TilesRequestProcessor.processForwardConfig(TilesRequestProcessor.java:318)
	org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:229)
	org.apache.struts.action.ActionServlet.process(ActionServlet.java:1194)
	org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:647)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:729)

with the mail.jar from sun:

javax.servlet.ServletException: pop3
	org.apache.struts.action.RequestProcessor.processException(RequestProcessor.java:523)
	org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:421)
	org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:224)
	org.apache.struts.action.ActionServlet.process(ActionServlet.java:1194)
	org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:647)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
	org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1063)
	org.apache.struts.tiles.TilesRequestProcessor.doForward(TilesRequestProcessor.java:263)
	org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:386)
	org.apache.struts.tiles.TilesRequestProcessor.processForwardConfig(TilesRequestProcessor.java:318)
	org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:229)
	org.apache.struts.action.ActionServlet.process(ActionServlet.java:1194)
	org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:647)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:729)


Expected results:

it works!

Additional info:

I can send any code attachments necessary and the junit test works fine with the mail.jar from sun, but does not work without it.  I know it has something to do with the classpath but not sure what.  My understanding of tomcat was that the classpath of the local application was supposed to be first in line and then the classpath of everything else so it should be using the mail.jar and the mail.jar contains the necessary pop3 provider.

Comment 1 Joe Acosta 2009-09-10 05:05:55 UTC
correction install the classpathx-mail-1.1.1-8.1.fc11.i586 package I'm wondering if the ant-javamail-1.7.1-9.2.fc11.i586 package too

Comment 2 Joe Acosta 2009-09-14 17:43:00 UTC
I have replaced the classpathx-mail-1.3.1-monolithic-1.1.1.jar with the mail.jar from java.sun.com and it all works now as expected.  

It seems that when using jUnit it uses the mail.jar in WEB-INF/lib and not the classpathx-mail-1.3.1-monolithic-1.1.1.jar in Java.  

The tomcat package should not have any dependency on the package classpathx-mail-1.1.1-8.1.fc11.i586.  Thus a use should be able to remove classpathx-mail-1.1.1-8.1.fc11.i586 package.

Comment 3 Bug Zapper 2010-04-28 10:16:16 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:34:14 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.